---
page_ref: "@PROJECTS__VARIANT@/termux/termux-packages/docs/@DOCS__VERSION@/get-started/how-to-use-termux-safely/index.html"
---

# How to use Termux safely

<!-- @DOCS__HEADER_PLACEHOLDER@ -->

- When following a tutorial, make sure that you properly understand the goal and purpose of every instruction. Understand what commands you are typing is meant to do.

- Do not run commands as the `root` user with `su`/`sudo` shells unless you know what you are doing, since otherwise you are likely to break Termux installation or your device, including causing permanent damage or losing data.

- Install software only from trusted sources. Remember that even open source software can contain trojan functionality. Do not trust random YouTube videos or GitHub repositories for hacking with Termux, they are mostly scams, which may result you getting hacked instead or you losing all your data on your device.

- If third-party script asks for credentials, most likely it is a scam. Obfuscated third-party scripts are likely to be a scam too.

- Suspicious files should be sent to [VirusTotal](https://www.virustotal.com/gui/home/upload).

- Do backups regularly, preferably encrypted if storing on untrusted places. There should be at least `2` backups in addition to the original files. Having `1-2` local backups (HDD, SSD, USB, SD cards, etc) and `1` cloud backup is usually good enough. Note that storage drives may lose data if every byte is not re-read every few months/years.

- Don't think you are very careful and thus bulletproof for scam, phishing or trojans. Long random passwords, verified software and brain in head are nice, but being prepared to be pwned at some day is even better.

- Remember that YouTube tutorials are often made for profit and entertainment, but not suitable for education. Learn to read.

- Do not give untrusted apps the `Run commands in Termux environment` (`com.termux.RUN_COMMAND`) permission or give them access to Termux files with its storage provider.

## &nbsp;

&nbsp;
