---
page_ref: "@PROJECTS__VARIANT@/termux/termux-packages/docs/@DOCS__VERSION@/get-started/infosec/index.html"
---

# Infosec

<!-- @DOCS__HEADER_PLACEHOLDER@ -->

Information security is a deep and exciting topic, but by its nature, there's some rules. The following things are generally true of people who do legal,
ethical, and interesting work in computer security, and especially of white-hat hackers:

- They never even attempt to access data or systems without the full knowledge and consent of their owners.
- They have strong in-depth understanding of how things work internally, like networks and operating systems. You have to understand how to build things to be able to break them. If you aren't already comfortable making websites, you aren't ready to learn how to compromise websites.
- They acquire the skills to do sophisticated hacking over years, and not a few days or weeks. It's a long road ahead before you will be able to say [*I am not in danger. I am the danger!*](https://www.youtube.com/watch?v=Ca3kPemW2CE&t=44s), unless you choose [other ways](https://xkcd.com/538).
- They don't get their info from random YouTube videos. Interesting computer security topics typically require a lot of background information and complex steps to reproduce. Get comfortable reading. Just being able to install kali and other hacking tools will not make you a hacker.

If you're sure this is for you and you're ready, here's some links:

- [Become a Hacker](https://www.wikihow.com/Become-a-Hacker)
- [Hack the Box](https://www.hackthebox.eu)
- [OWASP Top Ten](https://owasp.org/www-project-top-ten)

<!-- FIXME: Fix link: `hacking.md` -->

If you do decide to do hacking in Termux, note that Termux official communities and maintainers will not provide support for any hacking related activities and neither Termux nor its maintainers will be responsible for any trouble you get including legal issues, lost data, broken device or Termux app, and any other damage caused due to your actions. Check our [hacking](https://github.com/termux/termux-community/blob/site/site/pages/en/rules/hacking.md) rules for more info.

## &nbsp;

&nbsp;
