---
page_ref: "@PROJECTS__VARIANT@/termux/termux-packages/docs/@DOCS__VERSION@/get-started/shells/index.html"
---

# Shells

<!-- @DOCS__HEADER_PLACEHOLDER@ -->

Termux provides the following shells. The [`bash`](#bash) shell is the default shell in Termux.

If you've never used a Linux shell or terminal (also called command-line interface) before, it can be intimidating. We think 
[this interactive tutorial](https://linuxjourney.com/lesson/the-shell) that runs in your browser is a good way to learn the basics. Also check the `See also` section for [`bash`](#bash) for more guides.

- [bash](#bash)
- beanshell
- dash
- fish
- IPython
- ksh
- lua
- node
- perl
- php
- pry
- python
- ruby
- TCSH
- Xonsh
- zsh

---

&nbsp;





### bash

The `bash` is the default shell in Termux and in many linux distos and so is considered a portable shell. Learning it or related posix compatible shells will be very useful if you want to be good at using Termux and a terminal and at running commands properly.

#### See also

- [Homepage](https://www.gnu.org/software/bash)
- [Bash Beginners' Guide](https://tldp.org/LDP/Bash-Beginners-Guide/html)
- [Cheatsheet](https://devhints.io/bash)
- [Advanced scripts/tricks](https://github.com/dylanaraps/pure-bash-bible)
- [Complete bash manual](https://tldp.org/LDP/abs/html/index.html)
- [Awesome Bash](https://github.com/awesome-lists/awesome-bash)
- [Comparison of `bash` and other shells](https://hyperpolyglot.org/unix-shells)

## &nbsp;

&nbsp;
